package be.iminds.ilabt.jfed.espec.model;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import java.util.List;

/**
 * DirSpec
 */
public class DirSpec {
    @Nonnull private final String path;
    @Nullable private final String content;
    @Nonnull private final String permissions;
    @Nullable private final List<String> nodes;

    public DirSpec(@Nonnull String path,
                   @Nullable String content,
                   @Nullable String permissions,
                   @Nullable List<String> nodes) {
        this.path = path;
        this.content = content;
        this.permissions = permissions == null ? "u=rwx" : permissions;
        this.nodes = nodes;
    }

    @Nonnull
    public String getPath() {
        return path;
    }

    @Nullable
    public String getContent() {
        return content;
    }

    @Nonnull
    public String getPermissions() {
        return permissions;
    }

    @Nullable
    public List<String> getNodes() {
        return nodes;
    }
}
