package be.iminds.ilabt.jfed.espec.model;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import java.util.List;

/**
 * UploadSpec
 */
public class UploadSpec {
    @Nonnull private final FileSource source;
    @Nullable private final String path;
    @Nonnull private final String permissions;
    @Nullable private final List<String> nodes;

    public UploadSpec(@Nonnull FileSource source,
                      @Nullable String path,
                      @Nullable String permissions,
                      @Nullable List<String> nodes) {
        this.source = source;
        this.path = path;
        this.permissions = permissions == null ? "u=rw" : permissions;
        this.nodes = nodes;
    }

    @Nonnull
    public FileSource getSource() {
        return source;
    }

    @Nullable
    public String getPath() {
        return path;
    }

    @Nonnull
    public String getPermissions() {
        return permissions;
    }

    @Nullable
    public List<String> getNodes() {
        return nodes;
    }
}
